Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76843 - gcc-2.96-112 internal error on compiling linux-2.5.44-ac4
Summary: gcc-2.96-112 internal error on compiling linux-2.5.44-ac4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 00:55 UTC by Horst H. von Brand
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-01 20:31:45 UTC


Attachments (Terms of Use)
.config file for 2.5.44-ac4 (deleted)
2002-10-28 00:56 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2002-10-28 00:55:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
gcc segfaults in include/linux/sched.h for linux-2.5.44-ac4

Version-Release number of selected component (if applicable): 2.96-112


How reproducible:
Always

Steps to Reproduce:
1.Get linux-2.5.44, apply Alan Cox' patch -ac4
2.make oldconfig
3.make all
	

Actual Results:    gcc -Wp,-MD,fs/smbfs/.cache.o.d -D__KERNEL__ -Iinclude -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -pipe
-mpreferred-stack-boundary=2 -march=i686 -Iarch/i386/mach-generic
-fomit-frame-pointer -nostdinc -iwithprefix include -DMODULE -DSMBFS_PARANOIA 
-DKBUILD_BASENAME=cache   -c -o fs/smbfs/cache.o fs/smbfs/cache.c
In file included from include/linux/mm.h:4,
                 from fs/smbfs/cache.c:15:
include/linux/sched.h:188: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [fs/smbfs/cache.o] Error 2
make[1]: *** [fs/smbfs] Error 2
make: *** [fs] Error 2

Expected Results:  Not the above, for sure ;-)

Additional info:

.config is attached below

Comment 1 Horst H. von Brand 2002-10-28 00:56:31 UTC
Created attachment 82324 [details]
.config file for 2.5.44-ac4

Comment 2 Vladimir Makarov 2004-10-01 20:31:45 UTC
gcc-2.96 is too old now.  Its release cycle was finished long ago. 
Therefore we are closing the bug.  If it is still important, the
customer could reopen the case.





Note You need to log in before you can comment on or make changes to this bug.